function y=bestmu2(mu)
% is called by rbc2

global a d beta delta B g_exp ka ca ks cs vs cfinal kfinal tmax kstep cstep dir errror

% Initialization
i=1; stop=1;
t=zeros(1,tmax); k=zeros(tmax,1); c=zeros(tmax,1);
t(1)=0;
k(1)=ks+mu*vs(1);c(1)=cs+mu*vs(2); 
if dir==2; k(tmax)=3.*ks; end

% Backward Iteration
i=1; stop=1;
while stop==1 & i < tmax
	t(i+1)=t(i)+1;
	c(i+1)=g_exp./beta.*(a.*B.*c(i)^(d-1)+(1-delta)./c(i))^-1;
    ca=c(i+1); ka=k(i);
        
    %call Newton-Procedure
    k(i+1)=fzero('rbcfunc2',ka);
        if (k(i+1) > kfinal & dir==1) |(k(i+1) < kfinal & dir==2)
	stop=1; i=i+1;
	else
	stop=0;
	end
  
end %while loop

kstep=k(tmax-1)-k(tmax);
cstep=c(tmax-1)-c(tmax);
cfinal=c(tmax);
errror=k(tmax)-kfinal;
y=k(tmax)-kfinal;