function y=bestmu3(mu)
% is called by rbc3

global a d beta gamma delta rho B g_exp kappas ks cs Zs Zfinal tmax errror muz

% Initialization
tmax=200;
t=zeros(1,tmax); c=zeros(1,tmax); k=zeros(1,tmax); Z=zeros(1,tmax);kappa=zeros(1,tmax);

t(1)=0;
kappa(1)=kappas+mu;
k(1)=ks;
c(1)=cs;
Z(1)=Zs+muz;

% Backward Integration 
i=1; stop=1;

while stop==1 
   t(i+1)=t(i)+1;
   Z(i+1)=(Z(i))^(1/rho);
   c(i+1)=g_exp./beta.*c(i).*(a.*Z(i).*kappa(i)^(a-1)+(1-delta) )^-1;
   kappa(i+1)=(gamma*c(i+1)/(1-a)/Z(i+1))^(1/a);
   k(i+1)=(c(i+1)+g_exp.*k(i))./(Z(i+1).*kappa(i+1).^(a-1)+(1-delta));
   if Z(i+1)<Zfinal & i<tmax & isnan(k(i+1))==0 
      stop=1;
      i=i+1;
   else
      stop=0;
   end 
   
end %while loop

errror=k(tmax)-ks;
y=k(tmax)-ks;